<!DOCTYPE html>
<html>
<head>
	<title>Test page</title>
</head>
<body>
	<div id='target' style="width:500px; height:300px"></div>
</body>
<script async defer>
	window.onload = function(){
		const options = {
        	enableHighAccuracy: true,
        	timeout: 5000,
        	maximumAge: 0
      	};

		navigator.geolocation.getCurrentPosition(success, error, options);

	}

	function success(res){
		setIframe(`https://partner.yourairtest.com/?lng=${res.coords.longitude}&lat=${res.coords.latitude}&zoom=7&lang=${getLang()}`);

	}

	function error(){
		setIframe(`https://partner.yourairtest.com/?lang=${getLang()}`);

	}

	function setIframe(url){
		const  iframe = document.createElement('iframe');
		iframe.frameBorder = 0;
		iframe.width = "100%";
		iframe.height = "100%";
		iframe.setAttribute("src", url);
		document.getElementById('target').appendChild(iframe);

	}

	function getLang(){
		const pathNameParts = window.location.pathname.split('/');
		if(pathNameParts.includes('en')){
			return 'en';
		} else if (pathNameParts.includes('ru')){
			return 'ru';
		} else {
			return 'uk';
		}
	}

</script>
</html>